dnl Process this file with autoconf to produce a configure script.
AC_INIT(alert.c)

dnl Checks for programs.
AC_PROG_CC
AC_PROG_INSTALL

dnl Checks for libraries.
dnl Replace `main' with a function in -lX11:
AC_CHECK_LIB(X11, XOpenDisplay)
dnl Replace `main' with a function in -lXext:
AC_CHECK_LIB(Xext, main)
dnl Replace `main' with a function in -lgdk:
AC_CHECK_LIB(gdk, main)
dnl Replace `main' with a function in -lglib:
AC_CHECK_LIB(glib, g_print)
dnl Replace `main' with a function in -lgtk:
AC_CHECK_LIB(gtk, gtk_button_new)
dnl Replace `main' with a function in -lm:
AC_CHECK_LIB(m, sin)

dnl Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS(strings.h sys/time.h unistd.h)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST

dnl Checks for library functions.
AC_CHECK_FUNCS(select socket strstr)

AC_OUTPUT(Makefile)
